Package com.zfabrik.components.java

## Enum IJavaComponent.Part

- java.lang.Object
- - java.lang.Enum<IJavaComponent.Part>
  - - com.zfabrik.components.java.IJavaComponent.Part

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IJavaComponent.Part>`
  Enclosing interface:
    IJavaComponent

      public static enum IJavaComponent.Part
      extends java.lang.Enum<IJavaComponent.Part>

  A Java component is constructed from three different aspects, that are either publicly shared, privately used for implementation, or only available in development mode for testing. This is reflected in references, compile order, class loading and more. This enum abstracts the part when specifically referenced.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PRIVATE` |
    `PUBLIC` |
    `TEST` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IJavaComponent.Part` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IJavaComponent.Part[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final IJavaComponent.Part PUBLIC

    - #### PRIVATE

          public static final IJavaComponent.Part PRIVATE

    - #### TEST

          public static final IJavaComponent.Part TEST

  - ### Method Detail

    - #### values

          public static IJavaComponent.Part[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IJavaComponent.Part c : IJavaComponent.Part.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IJavaComponent.Part valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null